<app-title-page></app-title-page>
<div nz-row nzType="flex" nzJustify="space-between" nzAlign="bottom" class="mb-2">
  <div nz-col nz-form nzLayout="vertical" [nzSpan]="12">
    <!--<nz-form-item  class="mb-0 pb-0">-->
      <!--<nz-form-label>Tìm kiếm</nz-form-label>-->
      <!--<nz-input-group nzCompact>-->
        <!--<nz-select [ngModel]="1">-->
          <!--<nz-option nzLabel="Tài khoản" [nzValue]="0"></nz-option>-->
          <!--<nz-option nzLabel="Họ tên" [nzValue]="1"></nz-option>-->
          <!--<nz-option nzLabel="Lần truy cập cuối" [nzValue]="2"></nz-option>-->
          <!--<nz-option nzLabel="Trạng thái" [nzValue]="3"></nz-option>-->
        <!--</nz-select>-->
        <!--<input type="text" nz-input ngModel="" style="width:50%;"/>-->
      <!--</nz-input-group>-->
    <!--</nz-form-item>-->

  </div>
  <div nz-col>
    <button nz-button nzType="primary" routerLink="/users/add">
      <i nz-icon nzType="plus" nzTheme="outline"></i> Tạo người dùng
    </button>
  </div>
</div>

<div class="default-card">
  <nz-table #nzTable2 [nzData]="data">
    <thead>
    <tr>
      <th>Tài khoản</th>
      <th>Họ tên</th>
      <!--<th>Lần truy cập cuối</th>-->
      <th>Trạng thái tài khoản</th>
    </tr>
    </thead>
    <tbody>
    <ng-template ngFor let-item [ngForOf]="nzTable2.data">
      <tr routerLink="/users/{{ item.id }}/detail">
        <td>{{ item.email }}</td>
        <td>{{ item.fullName }}</td>
        <!--<td>{{ data2.lastLogin | date: 'hh:mm dd/MM/yyyy'}}</td>-->
        <td *ngIf="!item.block">
          <nz-tag [nzColor]="'green'">Đang hoạt động</nz-tag>
        </td>
        <td *ngIf="item.block">
          <nz-tag [nzColor]="'red'">Đã khóa</nz-tag>
        </td>
      </tr>
    </ng-template>
    </tbody>
  </nz-table>
</div>
